Upgrade Application developed in Enterprise Library 3.1 to Enterprise Library 4.1

Topics: General discussion
Dec 4, 2008 at 4:10 PM
Hi,
I have an application developed in Enterprise library 3.1.
Now I want to upgrade it to Enterprise Library 4.1.
But at the same time I don't want to loose 3.1 because there are couple of other application which is using using 3.1.

Only I want to upgrade current project from enterprise library 3.1 to 4.1.

Please help.
Dec 5, 2008 at 2:39 AM
You can have both 3.1 and 4.1 installed.  Although 4.1 can't be installed if there are other previous versions, you can opt to uninstall 3.1 first, install 4.1 and then install again 3.1


Sarah Urmeneta
Global Technology & Solutions
Avande, Inc.
entlib.support@avanade.com
Dec 5, 2008 at 3:49 AM
Thanks Sarah for your update.
Actually I also want to know how to upgrade one application developed in 3.1 to 4.1.
I tried to do it manually but it is cumbersome.

Please suggest me one better way.
Dec 5, 2008 at 3:55 AM
You would need to update the configuration file manually.  A nice workaround was described in this post, http://www.codeplex.com/entlib/Thread/View.aspx?ThreadId=11190.  Although the versions are different, the idea is there. 


Sarah Urmeneta
Global Technology & Solutions
Avanade, Inc.
entlib.support@avanade.com